#include "ClassPad.h"
#define BOTO 10
#define BOTOUJT 11
#define BOTOLM555 12

class Oscilador: public CPModuleWindow
{
protected:
PegBitmapButton* imatge;
CPPegString* freq;
PegPrompt* res1;
PegPrompt* res2;
PegPrompt* res3;
PegPrompt* res4;
OBCD Ra;
OBCD Rb;
OBCD C;
OBCD E24[24];
short mode;

public: Oscilador(PegRect, CPMainFrame*);
~Oscilador(){}
int init();
void Draw(); 
SIGNED Message(const PegMessage &Mesg); 
WORD Dialog(char*, char*);
void AddUI();
void CalculaLM555();
void CalculaUJT();
void getBestRaC(OBCD relacio);
OBCD getBestRb(OBCD t2);
OBCD getRb(OBCD R);
void Del_results();
};

